Bug 1122171 - xarchiver does not work with xz format
Summary: xarchiver does not work with xz format
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xarchiver
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 17:12 UTC by Mladen Kuntner
Modified: 2015-03-31 19:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:47:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 577480 None None None Never
Red Hat Bugzilla 1147466 None None None Never

Internal Links: 577480 1147466

Description Mladen Kuntner 2014-07-22 17:12:48 UTC
Description of problem:
xarchiver crashes when creating xz archive

Version-Release number of selected component (if applicable):
xarchiver-0.5.2-17.fc19.x86_64
xz-5.1.2-4alpha.fc19.x86_64

How reproducible:
Easy - happens always

Steps to Reproduce:
1. Open File manager
2. Select files for archive
3. Click create archive
4. select xz format
5. Xarchiver crashed - xarchiver killed by SIGSEGV

Actual results:
No archive file created, xarchiver crashed

Expected results:
Archive file created

Additional info:
xz from command line work without problems

Comment 1 Jan Pokorný [poki] 2014-12-16 14:30:02 UTC
This lack of xz compression support is not very desirable.

xarchiver-0.5.2-18.fc20.x86_64 is not segfaulting for me but it gives
a following message:

> Can't open file "<file>": Archive format is not recognized!

Found this upstream bug: http://sourceforge.net/p/xarchiver/bugs/62/
but not sure about the current state in upstream releases.

Comment 2 Fedora End Of Life 2015-01-09 21:27:52 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-02-18 11:47:15 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Jan Pokorný [poki] 2015-03-19 20:26:05 UTC
Huh, no idea why it is/was not working, while it had been fixed while
back as I've just found out: [bug 577480].

Comment 5 Jan Pokorný [poki] 2015-03-20 08:29:34 UTC
I've checked that unability to open XZ compressed files (*.tar.xz
archives in particular) seems to be fixed with 0.5.4 at latest,
as tested with experimental COPR build:

https://copr-fe.cloud.fedoraproject.org/coprs/jpokorny/xarchiver/build/82431/

Comment 6 Jaromír Cápík 2015-03-31 19:44:56 UTC
I'm upgrading to 0.5.4 in rawhide. All patches have been merged and .tar.xz works like expected.


Note You need to log in before you can comment on or make changes to this bug.